package main

import (
	"flag"
	"log"

	"git.odit.services/lfk/document-server/handlers"
	"github.com/gofiber/fiber/v2"
)

var (
	port = flag.String("port", ":3000", "Port to listen on")
	prod = flag.Bool("prod", false, "Enable prefork in Production")
)

func main() {
	// Parse command-line flags
	flag.Parse()

	// Create a new Fiber instance
	app := fiber.New(fiber.Config{
		Prefork: *prod,
	})

	v1 := app.Group("/v1")

	v1.Get("/", func(c *fiber.Ctx) error {
		return c.SendString("Hello, World!")
	})
	v1.Post("/contracts", handlers.GenerateContract)

	app.Use(handlers.NotFoundHandler)

	log.Fatal(app.Listen(*port))
}
